process-lines = src + dest ->                    process-lines = src + dest ->
  process-line = *dest words + stop ->             process-line = *dest words ->
    do {1..words._} i ->                             do {1..words._} i ->
      ...                                              ...

      if (...) -> stop = 1; leave                      if (...) -> leave 2
      else iterate                                     else iterate
    ;                                                ;
  ;                                                ;

  do {1..src._} i ->                               do {1..src._} i ->
    stop-flag = process-line *dest src.i             process-line *dest src.i
                                                   ;
    if stop-flag -> leave                        _
    else iterate                                   src : array : array : string
  ;                                                dest : array : string : [src]
_                                                ;
  src : array : array : string
  dest : array : string : [src]
;






